Bug 511328 - Samba 3.2.0 incompatible for smb backups using BackupPC 3.1.0
Samba 3.2.0 incompatible for smb backups using BackupPC 3.1.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: BackupPC (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 13:34 EDT by Joe Bayes
Modified: 2011-08-16 17:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: BackupPC-3.2.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-08 21:38:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2009-07-14 13:34:15 EDT
Please see bug 447820 for a description of this problem. 447820 should be re-opened, but apparently I can't do that.
Comment 1 Bug Zapper 2009-11-18 07:09:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2010-10-08 10:43:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-11-04 06:47:02 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Guenther Deschner 2010-11-04 10:15:20 EDT
Given the analysis of the previous bug (bug #447820), this is clearly a BackupPC problem, not a samba issue. IIRC BackupPC needs to have "-N" smbclient option removed from a perl config script. Reassigning to BackupPC so it gets routed to the appropriate maintainer.
Comment 5 Fedora Admin XMLRPC Client 2011-01-17 22:08:12 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bernard Johnson 2011-07-08 00:15:07 EDT
(In reply to comment #4)
> Given the analysis of the previous bug (bug #447820), this is clearly a
> BackupPC problem, not a samba issue.

Nope, I absolutely disagree.  Nowhere in the SMBCLIENT(1) man page does it say the PASSWD environment variable is ignored when -N is used.  Furthermore, this is a change from previous Samba behaviour as shown by the reporter.

However, the SMBCLIENT(1) man page does say this about the _password parameter_:

"If this parameter is supplied, the -N option (suppress password prompt) is assumed."

If we extrapolate that to also include the PASSWD environment variable (which it appears to based on the previous reporters tests), then the easiest way to work around it really is to drop the -N.  Unfortunately the man page says almost nothing about the expectations when using PASSWD.

If you can do some testing with current versions to see if this behaviour is still present, I will look into removing -N for new installations, regardless of the sad state of the man page.
Comment 7 Joe Bayes 2011-07-08 01:13:59 EDT
I no longer have a Windows machine to test current versions on, sorry. This bug is over three years old. 

The last time I used BackupPC, about three months ago, the commands were still working without the "-N". So, assuming that nothing has changed in the past three months, you won't actually do any harm by removing the "-N". And if the commands continue to fail with the "-N" (as I suspect is the case), then you will be doing quite a bit of good, as it will make BackupPC work properly out of the box. (This bug is especially insidious, as the smbclient man page leads the user to believe that "-N" is necessary.)

I agree with you that the smbclient(1) man page is incorrect, in that it does not say that $PASSWD is ignored when "-N" is used. It is also wordy and confusing. I suggest the following:

(1) Remove the second sentence in the first paragraph under "password", because it's wrong. ("If this parameter is supplied, the -N option (suppress password prompt) is assumed.") As written, this says that supplying a password turns on "-N", and "-N" causes smbclient to ignore the password on the command line. Fail!

(2) As I suggested two years ago, replace the entire text under "-N" in the manpage to say, 

"Causes smbclient to use no password when accessing the service. Any password in the command line or in the $PASSWD variable will be silently ignored. The user will not be prompted for a password."

This wording is clear, concise, and correct; the current wording is both confusing and wrong.
Comment 8 Fedora Update System 2011-08-08 00:12:14 EDT
BackupPC-3.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-1.el6
Comment 9 Fedora Update System 2011-08-08 00:13:07 EDT
BackupPC-3.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-1.el5
Comment 10 Fedora Update System 2011-08-08 00:14:00 EDT
BackupPC-3.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-1.fc15
Comment 11 Fedora Update System 2011-08-08 00:14:52 EDT
BackupPC-3.2.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-1.fc14
Comment 12 Fedora Update System 2011-08-08 21:37:46 EDT
BackupPC-3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-08-08 21:39:13 EDT
BackupPC-3.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-08-16 16:56:13 EDT
BackupPC-3.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-08-16 17:08:28 EDT
BackupPC-3.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.